ltrMatrix-class {Matrix} | R Documentation

## Triangular Dense Logical Matrices

### Description

The `"ltrMatrix"` class is the class of triangular, dense, logical matrices in nonpacked storage. The `"ltpMatrix"` class is the same except in packed storage.

### Slots

`x`:

  Object of class `"logical"`. The logical values that constitute the matrix, stored in column-major order.

`uplo`:

  Object of class `"character"`. Must be either "U", for upper triangular, and "L", for lower triangular.

`diag`:

  Object of class `"character"`. Must be either `"U"`, for unit triangular (diagonal is all ones), or `"N"`; see `triangularMatrix`.

`Dim`,`Dimnames`:

  The dimension (a length-2 `"integer"`) and corresponding names (or `NULL`), see the `Matrix` class.

`factors`:

  Object of class `"list"`. A named list of factorizations that have been computed for the matrix.

### Extends

Both extend classes `"ldenseMatrix"` and `"triangularMatrix"`, directly; further, class `"Matrix"`, `"lMatrix"` and others, indirectly. Use `showClass("ltrMatrix")`, e.g., for details.

### Methods

Currently, mainly `t()` and coercion methods (for `as(.)`; use, e.g., `showMethods(class="ltpMatrix")` for details.

### See Also

Classes `lgeMatrix`, `Matrix`; function `t`

### Examples

    showClass("ltrMatrix")

    str(new("ltpMatrix"))
    (lutr <- as(upper.tri(matrix(,4,4)), "ltrMatrix"))
    str(lutp <- as(lutr, "ltpMatrix"))# packed matrix: only 10 = (4+1)*4/2 entries
    !lutp ## the logical negation (is *not* logical triangular !)
    ## but this one is:
    stopifnot(all.equal(lutp, as(!!lutp, "ltpMatrix")))

[Package Matrix version 1.2-17 Index]